Package be.fgov.ehealth.rn.baselegaldata.v1

# Class PartnerType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.PartnerType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class PartnerType extends Object implements Serializable

Java class for PartnerType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartnerType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="PartnerSsin" type="{urn:be:fgov:ehealth:rn:commons:business:v1}SsinType" minOccurs="0"/>
               <element name="PartnerFictionalIdentificationNumber" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   </restriction>
                 </simpleType>
               </element>
             </choice>
             <element name="PartnerName" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}MinimalNameInfoType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartnerType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPartnerFictionalIdentificationNumber()`
  Gets the value of the partnerFictionalIdentificationNumber property.
  `MinimalNameInfoType`
  `getPartnerName()`
  Gets the value of the partnerName property.
  `String`
  `getPartnerSsin()`
  Gets the value of the partnerSsin property.
  `void`
  `setPartnerFictionalIdentificationNumber(String value)`
  Sets the value of the partnerFictionalIdentificationNumber property.
  `void`
  `setPartnerName(MinimalNameInfoType value)`
  Sets the value of the partnerName property.
  `void`
  `setPartnerSsin(String value)`
  Sets the value of the partnerSsin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PartnerType

    public PartnerType()

- ## Method Details

  - ### getPartnerFictionalIdentificationNumber

    public String getPartnerFictionalIdentificationNumber()
    Gets the value of the partnerFictionalIdentificationNumber property.
    Returns:
      possible object is `String`

  - ### setPartnerFictionalIdentificationNumber

    public void setPartnerFictionalIdentificationNumber(String value)
    Sets the value of the partnerFictionalIdentificationNumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPartnerSsin

    public String getPartnerSsin()
    Gets the value of the partnerSsin property.
    Returns:
      possible object is `String`

  - ### setPartnerSsin

    public void setPartnerSsin(String value)
    Sets the value of the partnerSsin property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPartnerName

    public MinimalNameInfoType getPartnerName()
    Gets the value of the partnerName property.
    Returns:
      possible object is `MinimalNameInfoType`

  - ### setPartnerName

    public void setPartnerName(MinimalNameInfoType value)
    Sets the value of the partnerName property.
    Parameters:
      `value` - allowed object is `MinimalNameInfoType`